{
  "name": "@onestepprojects/rewards-widget",
  "version": "1.0.0",
  "description": "OneStep Rewards Widget",
  "license": "AGPL-3.0-only",
  "files": [
    "dist"
  ],
  "main": "dist/RewardsWidget.js",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/onestepprojects/utility-services"
  },
  "scripts": {
    "semantic-release": "npm ci && semantic-release -e semantic-release-monorepo",
    "build": "npm run clean && tsc --build",
    "clean": "tsc --build --clean",
    "prepare": "npm run build",
    "test": "run-s test:lint test:format",
    "test:lint": "eslint --no-error-on-unmatched-pattern src/**/*.{ts,tsx,js,jsx}",
    "test:format": "prettier --write \"./**/*.{js,jsx,ts,tsx,css,scss,md}\"",
    "test:fix": "npm run test:format && eslint --fix --no-error-on-unmatched-pattern src/**/*.{ts,tsx,js,jsx}"
  },
  "dependencies": {
    "@fortawesome/fontawesome-svg-core": "^1.2.34",
    "@fortawesome/free-solid-svg-icons": "^5.15.2",
    "@fortawesome/react-fontawesome": "^0.1.14",
    "@onestepprojects/authentication-helper": "^1.0.0",
    "@testing-library/jest-dom": "^5.11.4",
    "@testing-library/react": "^11.1.0",
    "@testing-library/user-event": "^12.1.10",
    "axios": "^0.21.4",
    "bootstrap": "^4.6.0",
    "chart.js": "^2.9.4",
    "chonky": "^2.1.0",
    "chonky-icon-fontawesome": "^2.1.0",
    "dotenv": "^8.2.0",
    "g": "^2.0.1",
    "jquery": "^3.5.1",
    "react": "^17.0.2",
    "react-autosuggest": "^10.1.0",
    "react-bootstrap": "^1.5.0",
    "react-chartjs-2": "^2.11.1",
    "react-discussion-board": "^1.0.0",
    "react-dom": "^17.0.2",
    "react-ratings-declarative": "^3.4.1",
    "react-router-dom": "^5.2.0",
    "react-scripts": "4.0.3",
    "react-tagcloud": "^2.0.0",
    "react-tagsinput": "^3.19.0",
    "react-vertical-timeline-component": "^3.3.3",
    "semantic-release": "^17.4.0",
    "shards-react": "^1.0.3",
    "shards-ui": "^3.0.0",
    "web-vitals": "^1.0.1"
  },
  "devDependencies": {
    "@semantic-release/exec": "^6.0.2",
    "@semantic-release/npm": "^8.0.3",
    "@typescript-eslint/eslint-plugin": "^5.0.0",
    "@typescript-eslint/parser": "^5.0.0",
    "cypress": "^6.5.0",
    "enzyme": "^3.11.0",
    "enzyme-adapter-react-16": "^1.15.6",
    "enzyme-to-json": "^3.6.1",
    "eslint": "^8.0.1",
    "eslint-config-prettier": "^8.3.0",
    "eslint-config-standard": "^16.0.3",
    "eslint-config-standard-react": "^9.2.0",
    "eslint-plugin-import": "^2.25.2",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-prettier": "^4.0.0",
    "eslint-plugin-promise": "^5.1.0",
    "eslint-plugin-react": "^7.22.0",
    "eslint-plugin-standard": "^5.0.0",
    "gh-pages": "^2.2.0",
    "husky": "^7.0.2",
    "jest-junit": "^12.0.0",
    "microbundle": "^0.13.0",
    "npm-run-all": "^4.1.5",
    "postcss": "^8.2.6",
    "prettier": "^2.4.1",
    "react": "^17.0.2",
    "react-dom": "^17.0.2",
    "react-scripts": "4.0.3",
    "rimraf": "^3.0.2",
    "semantic-release-monorepo": "^7.0.5"
  },
  "engines": {
    "node": ">=10"
  },
  "publishConfig": {
    "access": "public",
    "@onestepprojects:registry": "https://gitlab.com/api/v4/projects/26511893/packages/npm/"
  },
  "husky": {
    "hooks": {
      "pre-commit": "npm run test:lint test:format",
      "pre-push": "npm run test:lint"
    }
  },
  "browserslist": [
    ">0.2%",
    "not dead",
    "not ie <= 11",
    "not op_mini all"
  ]
}
